import .connectives
import .leibniz
import .nat
constant exp.exp : (nat.nat) -> (nat.nat) -> nat.nat.
constant exp.exp_body : (nat.nat) -> (nat.nat) -> nat.nat.
axiom exp.axiom_exp : forall (n:nat.nat) , forall (m:nat.nat) , (((connectives.equal) (nat.nat)) ((((exp.exp) ) (n)) (m))) ((((nat.filter_nat_type) (nat.nat)) (((exp.exp_body) ) (n))) (m)).
theorem exp.eq_exp : forall (n:nat.nat) , forall (m:nat.nat) , (((leibniz.leibniz) (nat.nat)) ((((exp.exp) ) (n)) (m))) ((((nat.filter_nat_type) (nat.nat)) (((exp.exp_body) ) (n))) (m)) := fun (n : nat.nat) , fun (m : nat.nat) , ((((@connectives.equal_leibniz) (nat.nat)) ((((exp.exp) ) (n)) (m))) ((((nat.filter_nat_type) (nat.nat)) (((exp.exp_body) ) (n))) (m))) (((@exp.axiom_exp) (n)) (m)).
theorem exp.sym_eq_exp : forall (n:nat.nat) , forall (m:nat.nat) , (((leibniz.leibniz) (nat.nat)) ((((nat.filter_nat_type) (nat.nat)) (((exp.exp_body) ) (n))) (m))) ((((exp.exp) ) (n)) (m)) := fun (n : nat.nat) , fun (m : nat.nat) , ((((@leibniz.sym_leibniz) (nat.nat)) ((((exp.exp) ) (n)) (m))) ((((nat.filter_nat_type) (nat.nat)) (((exp.exp_body) ) (n))) (m))) (((@exp.eq_exp) (n)) (m)).
axiom exp.axiom_exp_body_O : forall (n:nat.nat) , (((connectives.equal) (nat.nat)) ((((exp.exp_body) ) (n)) ((nat.O) ))) (((nat.S) ) ((nat.O) )).
theorem exp.eq_exp_body_O : forall (n:nat.nat) , (((leibniz.leibniz) (nat.nat)) ((((exp.exp_body) ) (n)) ((nat.O) ))) (((nat.S) ) ((nat.O) )) := fun (n : nat.nat) , ((((@connectives.equal_leibniz) (nat.nat)) ((((exp.exp_body) ) (n)) ((nat.O) ))) (((nat.S) ) ((nat.O) ))) ((@exp.axiom_exp_body_O) (n)).
axiom exp.axiom_exp_body_S : forall (n:nat.nat) , forall (m:nat.nat) , (((connectives.equal) (nat.nat)) ((((exp.exp_body) ) (n)) (((nat.S) ) (m)))) ((((nat.times) ) ((((exp.exp) ) (n)) (m))) (n)).
theorem exp.eq_exp_body_S : forall (n:nat.nat) , forall (m:nat.nat) , (((leibniz.leibniz) (nat.nat)) ((((exp.exp_body) ) (n)) (((nat.S) ) (m)))) ((((nat.times) ) ((((exp.exp) ) (n)) (m))) (n)) := fun (n : nat.nat) , fun (m : nat.nat) , ((((@connectives.equal_leibniz) (nat.nat)) ((((exp.exp_body) ) (n)) (((nat.S) ) (m)))) ((((nat.times) ) ((((exp.exp) ) (n)) (m))) (n))) (((@exp.axiom_exp_body_S) (n)) (m)).
theorem exp.sym_eq_exp_body_S : forall (n:nat.nat) , forall (m:nat.nat) , (((leibniz.leibniz) (nat.nat)) ((((nat.times) ) ((((exp.exp) ) (n)) (m))) (n))) ((((exp.exp_body) ) (n)) (((nat.S) ) (m))) := fun (n : nat.nat) , fun (m : nat.nat) , ((((@leibniz.sym_leibniz) (nat.nat)) ((((exp.exp_body) ) (n)) (((nat.S) ) (m)))) ((((nat.times) ) ((((exp.exp) ) (n)) (m))) (n))) (((@exp.eq_exp_body_S) (n)) (m)).
